Document tools for Network Troubleshooting

Bug #1499114 reported by Nodir Kodirov on 2015-09-23
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
openstack-manuals
Wishlist
Mike Chen

Bug Description

This is a suggestion to add another sub-section on this page/topic, not a bug. I am filing as a bug since I could not find better place to make this suggestion. Please feel free to move to appropriate place, if any.

We need to add a (sub-)section about tools one can use to automate neutron diagnosis. Several suggestions were made in response to my recent question to openstack-dev mailing list [1]. Some good tools include easyOVS [2] and DON [3]. We can also mention neutron-debug CLI [4] to give it better visibility. Right now, it is buried under CLI page and not easily locatable.

These tools might not be as extensive as the manual diagnosis steps mention on this page. However, tools might help to quickly find many common faulty points, in particular low-hanging ones. So, I think it is useful to mention.

Thanks,

Nodir

[1] http://lists.openstack.org/pipermail/openstack-dev/2015-September/075130.html
[2]https://github.com/yeasy/easyOVS
[3] https://github.com/CiscoSystems/don
[4] http://docs.openstack.org/cli-reference/content/neutron-debug_commands.html

-----------------------------------
Built: 2015-09-23T17:29:11 00:00
git SHA: 367b8c3c15f5f0b1328303b47e5166ff37fb138c
URL: http://docs.openstack.org/openstack-ops/content/network_troubleshooting.html
source File: file:/home/jenkins/workspace/operations-guide-tox-doc-publishdocs/doc/openstack-ops/ch_ops_network_troubleshooting.xml
xml:id: network_troubleshooting

Darren Chan (dazzachan) on 2015-09-24
Changed in openstack-manuals:
status: New → Confirmed
tags: added: ops-guide
Richard (csravelar) on 2015-10-28
Changed in openstack-manuals:
assignee: nobody → Richard (csravelar)
Darren Chan (dazzachan) wrote :

Hi Richard, are you still working on this?

Darren Chan (dazzachan) wrote :

This topic is being covered in the Networking Guide. It might make sense to reference to it in the Ops Guide.

Darren Chan (dazzachan) on 2016-06-29
summary: - Chapter 12. Network Troubleshooting in OpenStack Operations Guide
+ Document tools for Network Troubleshooting
tags: added: networking-guide
Richard (csravelar) on 2016-07-14
Changed in openstack-manuals:
status: Confirmed → Fix Released
assignee: Richard (csravelar) → nobody
Darren Chan (dazzachan) on 2016-08-11
Changed in openstack-manuals:
status: Fix Released → Confirmed
Changed in openstack-manuals:
assignee: nobody → Rodrigo Caballero (rodrigo-caballero-abraham)

I am taking over drafting this new section.

Nodir Kodirov (knodir) wrote :

Thanks for taking a lead, Rodrigo! You might also consider adding following tools:

Cisco DON https://github.com/CiscoSystems/don
easyOVS https://github.com/yeasy/easyOVS
Skydive https://github.com/skydive-project/skydive

Will do Nodir, thank you very much.

Changed in openstack-manuals:
assignee: Rodrigo Caballero (rodrigo-caballero-abraham) → nobody
Changed in openstack-manuals:
importance: Undecided → Wishlist
tags: added: low-hanging-fruit
Darren Chan (dazzachan) on 2017-02-06
Changed in openstack-manuals:
milestone: none → pike
guoshan (guoshan) on 2017-03-07
Changed in openstack-manuals:
assignee: nobody → guoshan (guoshan)
Lana (loquacity) on 2017-04-04
Changed in openstack-manuals:
assignee: guoshan (guoshan) → nobody
Mike Chen (chenn2) on 2017-04-05
Changed in openstack-manuals:
assignee: nobody → Chen (chenn2)
Changed in openstack-manuals:
status: Confirmed → In Progress
assignee: Chen (chenn2) → Alexandra Settle (alexandra-settle)
Changed in openstack-manuals:
assignee: Alexandra Settle (alexandra-settle) → Chen (chenn2)
Changed in openstack-manuals:
assignee: Chen (chenn2) → Alexandra Settle (alexandra-settle)
Changed in openstack-manuals:
assignee: Alexandra Settle (alexandra-settle) → Chen (chenn2)

Reviewed: https://review.openstack.org/453544
Committed: https://git.openstack.org/cgit/openstack/openstack-manuals/commit/?id=3de70dfbc718946c6a30a6f4801687cbde1732d1
Submitter: Jenkins
Branch: master

commit 3de70dfbc718946c6a30a6f4801687cbde1732d1
Author: Chen <email address hidden>
Date: Wed Apr 5 18:12:00 2017 +0900

    Adds section covering neutron diagnosic tools

    Closes-bug: #1499114

    Change-Id: I1bd579be4f190f94e97f6caaf3167a651f2db791

Changed in openstack-manuals:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers